do
#****************************************************************************
#**
#**  File     :  
#**
#**  Summary  :  UEF Mobile Shield Generator Script
#**
#**  Copyright © 2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local OldXES0205 = XES0205
XES0205 = Class(OldXES0205) {
    
    CreateEnhancement = function(self, enh)
		OldXES0205.CreateEnhancement(self, enh)
		local bp = self:GetBlueprint().Enhancements[enh]
		if not bp then return end
		
		if  enh == 'ShieldBoost' then
			if self.MyShield then 
				self.MyShield:ShieldBoost(bp)
			end
		elseif enh == 'ShieldBoostRemove' then
			if self.MyShield then 
				self.MyShield:RemoveShieldBoost()
			end
		end
	end,


}

TypeClass = XES0205

end
